## net.i2p.router
Class SSUDemo

    java.lang.Object
      net.i2p.router.SSUDemo

    public class SSUDemo

extends java.lang.Object

Demo of a stripped down router - no tunnels, no netDb, no i2cp, no peer profiling, just the SSU comm layer, crypto, and associated infrastructure, extended to handle a new type of message ("FooMessage").

Nested Class Summary
`(package private) class` `SSUDemo.FooMessage` Just carry some data...

Field Summary
`(package private) RouterContext` `_us`

Constructor Summary
`SSUDemo()`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _us

    RouterContext _us

Constructor Detail

### SSUDemo

    public SSUDemo()

Method Detail

### main

    public static void main(java.lang.String[] args)

### run

    public void run()